org.codehaus.plexus.component.manager

## Class DefaultComponentManagerManager

- java.lang.Object
- - org.codehaus.plexus.component.manager.DefaultComponentManagerManager

All Implemented Interfaces:
  ComponentManagerManager

    public class DefaultComponentManagerManager
    extends Object
    implements ComponentManagerManager

Version:
  $Id: DefaultComponentManagerManager.java 2888 2005-11-09 16:32:05Z evenisse $
Author:
  Jason van Zyl

### Field Summary

### Fields inherited from interface org.codehaus.plexus.component.manager.ComponentManagerManager

`ROLE`

### Constructor Summary

Constructors
Constructor and Description
`DefaultComponentManagerManager()`

### Method Summary

Methods
`void` `associateComponentWithComponentManager(Object component, ComponentManager componentManager)`
`ComponentManager` `createComponentManager(ComponentDescriptor descriptor, PlexusContainer container)`
`ComponentManager` `findComponentManagerByComponentInstance(Object component)`
`ComponentManager` `findComponentManagerByComponentKey(String componentKey)`
`Map` `getComponentManagers()`
`void` `setLifecycleHandlerManager(LifecycleHandlerManager lifecycleHandlerManager)`
`void` `unassociateComponentWithComponentManager(Object component)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DefaultComponentManagerManager

    public DefaultComponentManagerManager()

### Method Detail

#### setLifecycleHandlerManager

    public void setLifecycleHandlerManager(LifecycleHandlerManager lifecycleHandlerManager)

Specified by:
  `setLifecycleHandlerManager` in interface `ComponentManagerManager`

#### createComponentManager

    public ComponentManager createComponentManager(ComponentDescriptor descriptor,
                                          PlexusContainer container)
                                            throws UndefinedComponentManagerException,
                                                   UndefinedLifecycleHandlerException

Specified by:
  `createComponentManager` in interface `ComponentManagerManager`
Throws:
  `UndefinedComponentManagerException`
  `UndefinedLifecycleHandlerException`

#### findComponentManagerByComponentInstance

    public ComponentManager findComponentManagerByComponentInstance(Object component)

Specified by:
  `findComponentManagerByComponentInstance` in interface `ComponentManagerManager`

#### findComponentManagerByComponentKey

    public ComponentManager findComponentManagerByComponentKey(String componentKey)

Specified by:
  `findComponentManagerByComponentKey` in interface `ComponentManagerManager`

#### getComponentManagers

    public Map getComponentManagers()

Specified by:
  `getComponentManagers` in interface `ComponentManagerManager`

#### associateComponentWithComponentManager

    public void associateComponentWithComponentManager(Object component,
                                              ComponentManager componentManager)

Specified by:
  `associateComponentWithComponentManager` in interface `ComponentManagerManager`

#### unassociateComponentWithComponentManager

    public void unassociateComponentWithComponentManager(Object component)

Specified by:
  `unassociateComponentWithComponentManager` in interface `ComponentManagerManager`